<?php

namespace Simple\SiteBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\Cookie;

class DefaultController extends Controller
{
    private function createMenu()
    {
        return array(
            array('route'=>'default_index', 'desc'=>'Strona główna'),
            array('route'=>'oddzial', 'desc'=>'Oddzial CRUD'),
            array('route'=>'osoba', 'desc'=>'Osoba CRUD'),
        );
    }
    
    /**
     * @Route("/", name="default_index")
     * @Template()
     */
    public function indexAction()
    {
        $em = $this->getDoctrine()->getEntityManager();
        $entites = $em->createQueryBuilder()
                ->select("osoba.nazwisko, oddzial.nazwa")
                ->from("SimpleSiteBundle:Osoba", "osoba")
                ->join("osoba.oddzial", "oddzial")
                ->where("oddzial.id=:idoddzial")
                ->orderBy("osoba.nazwisko", "ASC")
                ->setParameter("idoddzial", 1)
                ->getQuery()->getResult();
        return array('header'=>'Nagłówek', 'footer' => "Stopka", 'nav'=>$this->createMenu(), 'entities'=>$entites);
    }

}
