<?php

namespace Simple\SiteBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Route;
use Sensio\Bundle\FrameworkExtraBundle\Configuration\Template;

class DefaultController extends Controller
{
    private function createMenu()
    {
        return array(
            array('route'=>'default_index', 'desc'=>'Strona główna'),
            array('route'=>'default_index1', 'desc'=>'Strona 1'),
            array('route'=>'default_index2', 'desc'=>'Strona 2'),
            array('route'=>'default_redirect', 'desc'=>'Redirect na główną'),
            array('route'=>'default_forward', 'desc'=>'Forward na główną'),
        );
    }
    
    /**
     * @Route("/", name="default_index")
     * @Template()
     */
    public function indexAction()
    {
        return array('header'=>'Nagłówek', 'footer' => "Stopka", 'nav'=>$this->createMenu());
    }

    /**
     * @Route("/i1", name="default_index1")
     * @Template()
     */
    public function index1Action()
    {
        return array('header'=>'Nagłówek', 'footer' => "Stopka", 'nav'=>$this->createMenu());
    }

    /**
     * @Route("/i2", name="default_index2")
     * @Template()
     */
    public function index2Action()
    {
        return array('header'=>'Nagłówek', 'footer' => "Stopka", 'nav'=>$this->createMenu());
    }

    /**
     * @Route("/redirect", name="default_redirect")
     * @Template()
     */
    public function redirectAction()
    {
        return $this->redirect($this->generateUrl("default_index"));
    }
    
    /**
     * @Route("/forward", name="default_forward")
     * @Template()
     */
    public function forwardAction()
    {
        return $this->forward("SimpleSiteBundle:Default:index");
    }
    
}
