<?php

/*
create table user
(
    id int primary key auto_increment,
    username varchar(30),
    password varchar(128),
    role int
);
  
insert into user (username,password,role) values ('viewer', '45f106ef4d5161e7aa38cf6c666607f25748b6ca', 0);
insert into user (username,password,role) values ('editor', '74913f5cd5f61ec0bcfdb775414c2fb3d161b620', 1);  
 */

namespace Simple\SiteBundle\Entity;

use Symfony\Component\Security\Core\User\UserInterface;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Table(name="user")
 * @ORM\Entity
 */ 
class User implements UserInterface
{
    /**
     * @var integer $id
     *
     * @ORM\Column(name="id", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    public $id;

    /**
     * @var string $username
     *
     * @ORM\Column(name="username", type="string", length=30, nullable=true)
     */
    public $username;

    /**
     * @var string $password
     *
     * @ORM\Column(name="password", type="string", length=128, nullable=true)
     */
    public $password;
    
    /**
     * @var integer $role
     *
     * @ORM\Column(name="role", type="integer", nullable=true)
     */
    public $role;
 
    /* region UserInterface implementation */    
    
    public function getUsername()
    {
        return $this->username;
    }

    public function getPassword()
    {
        return $this->password;
    }
    
    public function getRoles()
    {
        if($this->role == 0) {
            $role = new \Symfony\Component\Security\Core\Role\Role("ROLE_VIEWER");
        }
        else {
            $role = new \Symfony\Component\Security\Core\Role\Role("ROLE_EDITOR");
        }

        return array($role);
    }

    public function getSalt()
    {
        return "";
    }

    public function eraseCredentials()
    {

    }

    public function equals(\Symfony\Component\Security\Core\User\UserInterface $user)
    {
        if ($user->username === $this->username)
            return true;
        else
            return false;
    }
     
    /* endregion UserInterface implementation */     
}